[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# SetTime

Set the current system time.

## Declaration

Source position: oldlinux.pp line 1325

`function SetTime(`
`Hour: Word;`
`Min: Word;`
`Sec: Word`
`):Boolean;`

## Description

SetTime sets the system time to hour, min, Sec. This is the kernel time, so it is in GMT. The date is not touched. The function returns True if the call was executed corretly, False otherwise.

Remark: | You must be root to execute this call.

## Errors

Errors are returned in LinuxError

## See also

GetTime |  | Return current system time
SetDate |  | Set the current system date.
SetDateTime |  | Set the current system date and time

Documentation generated on: Feb 26 2014